Summary: OP5 Monitor is a highly flexible network monitoring tool.
Name: op5-self-monitoring
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/monitor
URL: https://www.itrsgroup.com
Source0: %name-%version.tar.gz
Prefix: /etc/nrpe.d
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: nrpe
Requires: smstools
%systemd_requires


%description
ITRS OP5 Monitor is a system for monitoring network hosts and its various
services. This package provide nrpe configuration with commands to be used when
monitoring the actual OP5 Monitor servers.

%prep
%setup -q


%install
%__install -D -m 664 op5_monitor_self_monitoring.cfg %buildroot%prefix/op5_monitor_self_monitoring.cfg

%post
if [ $1 -eq 1 ]; then
	systemctl try-restart nrpe >/dev/null 2>&1 || :
fi

%postun
systemctl try-restart nrpe >/dev/null 2>&1 || :

%files
%config(noreplace) %attr(664, root, root) %prefix/op5_monitor_self_monitoring.cfg
